// Copyright (c) 2001-2004 Andr Dietisheim

var pastaVertical = [
		// globals -----------------
		[	Xmenu.prototype.VERTICAL,
			1, // delay in sec. before closing menu
			false, // onclick / onmouseover
			true, // horizontal & vertical menu: menu appears below/right of the root-node
			false, // horizontal menu: each hierarchy starts on same X
			false, // keep expansion state
			true,	// highlight clicked nodes
			[ 20, 5 ],	// XlayerParent width, height
			"img/spacer.gif" // spacer url
		],
			// styles ------------------
			[	new Css2Style( 20, 20, 100, 27, null, "clicked", "xnode_mouseout0", "xnode_mouseover0", "icon_mouseout", "icon_mouseover" ),
				new Css2Style( 10, 2, 130, 27, null, "clicked", "xnode_mouseout1", "xnode_mouseover1", "icon_mouseout", "icon_mouseover" ),
				new Css2Style( 6, 2, 80, 27, null, "clicked", "xnode_mouseout2", "xnode_mouseover2", "icon_mouseout", "icon_mouseover" ),
				new Css2Style( 2, 2, 70, 27, null, "clicked", "xnode_mouseout3", "xnode_mouseover3", "icon_mouseout", "icon_mouseover" )
			],
			// nodes ----------
			[	new Node( "pasta", null, 0 ), // content: [text, href, hierarchyLevel]
					new Node( "spaghetti italiani", null, 1, 150, 27 ),
						new Node( "bolognese", null, 2 ),
						new Node( "pesto della nonna in botiglia ", null, 2, 200, 27 ),
							new Node( "rosso", null, 3 ),
							new Node( "giallo", null, 3 ),
					new Node( "tagliatelle", null, 1 ),
						new Node( "al limone", null, 2 ),
					new Node( "linguine", null, 1 ),
						new Node( "al basilico", null, 2 ),
					new Node( "canelloni", null, 1 )
			]
		];

var pastaHorizontal = [
		// globals -----------------
		[	Xmenu.prototype.HORIZONTAL,
			1, // delay in sec. before closing menu
			false, // onclick / onmouseover
			true, // horizontal & vertical menu: menu appears below/right of the root-node
			false, // horizontal menu: each hierarchy starts on same X
			false, // keep expansion state
			true,	// highlight clicked nodes
			[ 20, 5 ],	// XlayerParent width, height
			"img/spacer.gif" // spacer url
		],
			// styles ------------------
			[	new CompatibleStyle( 20, 12, 80, 30, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff5500", "white", "center", 0, 0, 0, 0, true, "Arial, Helvetica, sans serif", 14, false, "img/arrow_horiz.gif", 3, 5, 10 ],[ "#ff7c00", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 2, null, 1, 20, 0 ] ),
				new CompatibleStyle( 4, -4, 100, 25, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff6a00", "white", "center", 0, 0, 0, 0, true, "Arial, Helvetica, sans serif", 12, false, "img/arrow_horiz.gif", 3, 5, 10 ],[ "#ff7c00", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 4, -4, 80, 20, null, [ "#ff4400", "#ffaaaa" ], [ "#ff8e00", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_horiz.gif", 3, 5, 10 ],[ "#ffa000", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 4, -4, 80, 20, null, [ "#ff4400", "#ffaaaa" ], [ "#ffb200", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_horiz.gif", 3, 5, 10 ],[ "#ffc400", "#ffccbb", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] )
			],
			// content ----------
			[	new Node(  "pasta", null, 0 ),
					new Node(  "spaghetti", null, 1 ),
						new Node(  "bolognese", null, 2 ),
							new Node(  "formaggio", new WinTarget( "#" ), 3 ),
						new Node(  "carbonara", new WinTarget( "#" ), 2, 120, 40 ),
						new Node(  "pesto", null, 2 ),
							new Node(  "rosso", new WinTarget( "#" ), 3 ),
					new Node(  "tortelloni", new WinTarget( "#" ), 1, 200, 80 ),
						new Node(  "ripieni", new WinTarget( "#" ), 2 ),
					new Node(  "tagliatelle", null, 1, 200, 60 ),
						new Node(  "alla panna", null, 2 ),
						new Node(  "arrabiato", null, 2 ),
							new Node(  "formaggio", new WinTarget( "#" ), 3 ), 
				new Node(  "farfalle", new WinTarget( "http://www.puzzle.ch" ), 0 )
			]
		];

var pastaHorizontalForFrames = [
		// globals -----------------
		[	Xmenu.prototype.HORIZONTAL,
			1, // delay in sec. before closing menu
			false, // classic menu: onclick / onmouseover
			true, // horizontal & vertical menu: menu appears below/right of the root-node
			false, // horizontal menu: each hierarchy starts on same X
			false,	 // keep expansion state
			true,	// highlight clicked nodes
			[ 20, 1 ],	// XlayerParent width, height
			"img/spacer.gif" // spacer url
		],
			// styles ------------------
			[	new CompatibleStyle( 20, 10, 100, 25, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff5500", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 14, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ff6a00", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 2, null, 1, 20, 0 ] ),
				new CompatibleStyle( 0, 2, 100, 20, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff6a00", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 12, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ff7c00", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 0, 2, 100, 20, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff8e00", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ffa000", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 0, 2, 100, 20, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ffa000", "white", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ffb200", "#ffccbb", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] )
			],
			// content ----------
			[	new Node( "pasta", null, 0 ), // content: [text, href, hierarchyLevel]
					new Node( "spaghetti", null, 1 ),
						new Node( "bolognese", null, 2 ),
							new Node( "formaggio", new NewWinTarget( "http://www.puzzle.ch", 300, 300, 400, 400 ), 3 ),
						new Node( "carbonara", new WinTarget( "#" ), 2 ),
						new Node( "pesto", null, 2 ),
							new Node( "rosso", new FrameTarget( "http://www.barilla.it", "contentFrame" ), 3 ),
					new Node( "tortelloni", new FrameTarget( "http://www.barilla.it", "contentFrame" ), 1 ),
					new Node( "tagliatelle", null, 1 ),
						new Node( "alla panna", null, 2 ),
							new Node( "funghi", new WinTarget( "http://www.agnesi.it" ), 3 ),
						new Node( "arrabiato", new FrameTarget( "http://www.barilla.it", "contentFrame" ), 2 )
			]
		];

var pastaCollapsingFading = [
		// globals -----------------
		[	Xmenu.prototype.COLLAPSING,
			1, // delay in sec. before closing menu
			true, // vertical or horizontal menu: onclick / onmouseover
			true, // horizontal & vertical menu: menu appears below/right of the root-node
			true,  // horizontal menu: each hierarchy starts on same X
			false, // keep expansion state
			true,	// highlight clicked nodes
			[ 20, 1 ],	// XlayerParent width, height
			"img/spacer.gif" // spacer url
		],
			// styles ------------------
			[	new CompatibleStyle( 20, 20, 100, 30, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff6a00", "white", "center", 0, 0, 0, 0, true, "Arial, Helvetica, sans serif", 12, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ff7c00", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 10, -4, 100, 20, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ff8e00", "white", "center", 0, 0, 0, 0, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ffa000", "#ffbbaa", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] ),
				new CompatibleStyle( 10, -4, 100, 20, [ 0, 100, 10, 100 ], [ "#ff4400", "#ffaaaa" ], [ "#ffa000", "white", "center", 0, 0, 0, 0, true, "Arial, Helvetica, sans serif", 10, false, "img/arrow_vert.gif", 5, 3, 10 ],[ "#ffb200", "#ffccbb", "center", 0, 0, 0, 10, true, "Arial, Helvetica, sans serif", 1, "img/spacer.gif", 1, 1, 0 ] )
			],
			// content ----------
			[		new Node( "spaghetti", null, 0 ),
						new Node( "bolognese", null, 1, 200, 50 ),
							new Node( "formaggio", new WinTarget( "#" ), 2 ),
						new Node( "carbonara", new WinTarget( "#" ), 1 ),
						new Node( "pesto", null, 1 ),
							new Node( "rosso", new WinTarget( "#" ), 2 ),
							new Node( "genovese", new WinTarget( "#" ), 2 ),
					new Node( "tortelloni", new WinTarget( "#" ), 0 ),
					new Node( "tagliatelle", null, 0 ),
						new Node( "alla panna", null, 1 ),
							new Node( "formaggio", new WinTarget( "#" ), 2 ),
						new Node( "arrabiato", new WinTarget( "#" ), 1 )
			]
		];
		