/**
* @author	Andr Dietisheim (dietisheim@sphere.ch)
* @version 1.0, 2005-05-11 (created on 2005-05-11)
* Copyright (c) 2001-2005 Andr Dietisheim
*/

function Css2Style( iOffsetX, iOffsetY, iW, iH, fading, clickedClass, mouseoutClass, mouseoverClass, iconMouseoutClass, iconMouseoverClass )
{
	this.iOffsetX = iOffsetX;
	this.iOffsetY = iOffsetY;
	this.iW = iW;
	this.iH = iH;
	this.fading = fading;
	this.clickedClass = clickedClass;
	this.mouseoutClass = mouseoutClass;
	this.mouseoverClass = mouseoverClass;	
	this.iconMouseoutClass = iconMouseoutClass;
	this.iconMouseoverClass = iconMouseoverClass;
}

Css2Style.prototype.highlight = function( bHighlight, xlayer )
{
	if ( bHighlight )
		xlayer.caption.setClassName( this.mouseoverClass );
	else
		xlayer.caption.setClassName( this.mouseoutClass );
}

Css2Style.prototype.highlightClicked = function( bHighlight, xlayer )
{
	if ( bHighlight )
		xlayer.caption.setClassName( this.clickedClass );
	else
		this.highlight( false, xlayer );
}

Css2Style.prototype.getXlayer = function( iX, iY, iW, iH, iZindex, xparentLayer, events, sSpacerUrl, child, sText )
{
	var caption = new Css2Caption( sText, sSpacerUrl, iW, iH, child, this.mouseoutClass, this.iconMouseoutClass );
	return new Css2Xlayer( null, xparentLayer, "left", "top", iX, iY, iW, iH, 0, iW, iH, 0, iZindex, false, this.fading, events, null, caption );
}

